This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 557969 - Review Request: sugar-socialcalc - A spreadsheet activity for the Sugar environment
Review Request: sugar-socialcalc - A spreadsheet activity for the Sugar envir...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta SOAS-3
  Show dependency treegraph
 
Reported: 2010-01-22 17:23 EST by Sebastian Dziallas
Modified: 2010-06-22 10:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 10:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
spacewar: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Sebastian Dziallas 2010-01-22 17:23:43 EST
Spec URL: http://sdz.fedorapeople.org/rpmbuild/sugar-socialcalc.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/sugar-socialcalc-5-1.fc12.src.rpm

Description: This is part of the Fedora Sugar packaging effort.
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1939545
Comment 1 Eric Smith 2010-02-04 20:47:35 EST
Should preserve modification time of web/license.txt, as is done for end of line encoding.

rpmlint output:
sugar-socialcalc.spec:6: W: non-standard-group Sugar/Activities
sugar-socialcalc.noarch: W: non-standard-group Sugar/Activities
1 packages and 1 specfiles checked; 0 errors, 2 warnings.

Since the Fedora Packaging:SugarActivityGuidelines specifically use the group
Sugar/Activities in the sample spec, the rpmlint warnings are not a problem. 
Ideally Sugar/Activities would get added to the official group list.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file for the package is legible and macros are used
consistently. OK
MUST: The package must be licensed with a Fedora approved license and meet the 
Licensing Guidelines. NEEDSWORK

some source files don't have copyright/license information:
$ licensecheck ../BUILD
/SocialCalcActivity.activity/../BUILD/SocialCalcActivity.activity/localized_strings_file.py: *No copyright* UNKNOWN
../BUILD/SocialCalcActivity.activity/SocialCalcActivity.py: *No copyright* UNKNOWN
../BUILD/SocialCalcActivity.activity/setup.py: *No copyright* UNKNOWN
../BUILD/SocialCalcActivity.activity/test-web-view.py: *No copyright* UNKNOWN
../BUILD/SocialCalcActivity.activity/XOCom.py: *No copyright* UNKNOWN
../BUILD/SocialCalcActivity.activity/create-dev-env.pl: *No copyright* UNKNOWN
../BUILD/SocialCalcActivity.activity/intero.py: *No copyright* UNKNOWN

MUST: The License field in the package spec file must match the actual license.
OK
MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. OK
MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. N/A
MUST: All build dependencies must be listed in BuildRequires, OK
MUST: The spec file MUST handle locales properly. OK
MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun. N/A
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. OK
MUST: A package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory. OK
MUST: A Fedora package must not list a file more than once in the spec file's
%files listings. OK
MUST: Permissions on files must be set properly. Executables should be set with
executable permissions, for example. Every %files section must include a
%defattr(...) line. OK
MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). OK
MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: If a package includes something as %doc, it must not affect the runtime
of the application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' N/A
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package. N/A
MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency N/A
MUST: Packages must NOT contain any .la libtool archives, these must be removed
in the spec if they are built. N/A
MUST: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section N/A
MUST: Packages must not own files or directories already owned by other
packages. OK
MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: If the package does not include license text(s) as separate files from
upstream, the packager should query upstream to include it. NEEDSWORK

Upstream should include the GPL and MIT license text files, which are specifically referenced in web/xocom.js and web/jquery.js as GPL-license.txt and MIT-license.txt, respectively.

SHOULD: The description and summary sections in the package spec file should
contain translations for supported Non-English languages, if available.
NEEDSWORK
    I'm not sure whether suitable translations are available, but based on the
inclusion of message translations in the package, it seems like they might be.
SHOULD: The package builds in mock. OK
SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example. NEEDSWORK

I get the throbbing icon for a while, but never get the spreadsheet.  Possibly a missing dependency?

SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague,
and left up to the reviewers judgement to determine sanity. N/A
SHOULD: Usually, subpackages other than devel should require the base package
using a fully versioned dependency. N/A
SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg.
A reasonable exception is that the main pkg itself is a devel tool not
installed in a user runtime, e.g. gcc or gdb. N/A
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself. N/A
SHOULD: your package should contain man pages for binaries/scripts. If it
doesn't, work with upstream to add them where they make sense. N/A
Comment 2 Susi Lehtola 2010-02-04 21:00:51 EST
(In reply to comment #1)
> some source files don't have copyright/license information:
> $ licensecheck ../BUILD

Did you check these by hand? Sometimes licensecheck just doesn't find the headers.
Comment 3 Eric Smith 2010-02-04 21:41:12 EST
I manually verified that at least some of the files reported by licensecheck did not contain copyright/license information, and I manually verified that some of the files not reported do contain copyright/license information.

Actually, there are more of them with missing information than I listed above, because I forgot the -r option to licensecheck:

../interoperability/__init__.py: *No copyright* UNKNOWN
./interoperability/xls/__init__.py: *No copyright* UNKNOWN
./interoperability/xls/compound.py: *No copyright* UNKNOWN
./interoperability/xls/workbook.py: *No copyright* UNKNOWN
./interoperability/xls/function.py: *No copyright* UNKNOWN
./interoperability/xls/convert_to_scalcstring.py: *No copyright* UNKNOWN
./interoperability/lotus_wk4.py: *No copyright* UNKNOWN

(The first two above just contain "pass", so a copyright or license on those would be meaningless.)
Comment 4 Sebastian Dziallas 2010-02-10 17:42:00 EST
Thanks for the review! I pinged upstream via e-mail, who replied that he'd fix that and get a new version out soon.
Comment 5 Sebastian Dziallas 2010-02-14 09:59:10 EST
Upstream e-mailed me a fixed version of the activity - I asked them to make a new release, so that we can move on here.
Comment 6 Sebastian Dziallas 2010-02-23 12:10:02 EST
Alright, here's an updated version which should fix the outstanding licensing issues, as far as I can see.

Spec URL: http://sdz.fedorapeople.org/rpmbuild/sugar-socialcalc.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/sugar-socialcalc-5-2.fc12.src.rpm
Comment 7 Sebastian Dziallas 2010-03-04 15:24:15 EST
Ping?
Comment 8 Eric Smith 2010-03-09 20:30:18 EST
Sorry to keep you waiting.  I'll have time to check it out tomorrow or Wednesday.
Comment 9 Sebastian Dziallas 2010-03-18 12:03:44 EDT
Sorry to nag again, but how's this going? :)
Comment 10 Eric Smith 2010-03-27 14:45:11 EDT
License problem fixed, but I still can't get it to run in sugar-emulator.  I just get the pulsating logo.  Maybe a missing dependency?
Comment 11 Sebastian Dziallas 2010-03-27 14:54:45 EDT
Meh, you're right. I seem to recall it worked some time ago; looks like some Xulrunner related breakage. I'll pursue upstream on this. Sorry for the noise. :/
Comment 12 Eric Smith 2010-05-31 21:42:22 EDT
Any news from upstream?
Comment 13 Sebastian Dziallas 2010-06-22 10:04:18 EDT
There are a few things apparently being moved around with regard to the JaveScript backend this relies on. I'm closing this until we've an appropriate strategy for Sugar on a Stick to move forward with it.

Note You need to log in before you can comment on or make changes to this bug.